- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Interface

# FFMpeg\Filters\Audio\AudioFilterInterface

interface AudioFilterInterface implements FilterInterface

## Methods

integer | getPriority() Returns the priority of the filter. | from FilterInterface
array | apply(Audio $audio, AudioInterface $format) Applies the filter on the the Audio media given an format. |

## Details

###
in FilterInterface at line 21
`public integer getPriority()`

Returns the priority of the filter.

#### Return Value

integer |

###
at line 28
`public array apply(Audio $audio, AudioInterface $format)`

Applies the filter on the the Audio media given an format.

#### Parameters

Audio | $audio |
AudioInterface | $format |

#### Return Value

array | An array of arguments